Community Discussion

Ask a Question
Back to all

Unable to turn off publishers on whitelist campaigns VIA api

(edited)

Hi, I make the following call: curl --location --request PATCH 'https://backstage.taboola.com/backstage/api/1.0/{account_id}/campaigns/{campaign_id}/'
--header 'Authorization: Bearer {token}'
--header 'Content-Type: application/json'
--data-raw '{ "patch_operation": "REMOVE", "publisher_targeting": { "publishers": [ "ndtv-newsapp-ios" ] } }'

I get the following response: {"http_status":400,"message":"publisher ndtv-newsapp-ios not exists in campaign targeting","offending_field":"publisher_targeting.publishers","message_code":"api.action.bad_request.publisher_targeting.publishers"}

is there a way to activate and deactivate publishers that are part of a whitelist campaign via the API? thanks